package com.dgtly.quartz.task;

import com.dgtly.common.utils.StringUtils;
import com.dgtly.sync.service.AnalysisDiyCustomerComponent;
import com.dgtly.sync.service.HanaOrderComponent;
import com.dgtly.sync.service.RelationCustomerOnlineComponent;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 定时任务调度测试
 * 
 * @author dgtly
 */
@Component("ryTask")
@Slf4j
public class RyTask
{

    @Autowired
    private AnalysisDiyCustomerComponent analysisDiyCustomerComponent;
    @Autowired
    private HanaOrderComponent hanaOrderComponent;
    @Autowired
    private RelationCustomerOnlineComponent relationCustomerOnlineComponent;

//    private static RyTask ryTask;
//    @PostConstruct
//    public void init() {
//        ryTask = this;
//        ryTask.analysisDiyCustomerComponent = this.analysisDiyCustomerComponent;
//    }

    public void ryMultipleParams(String s, Boolean b, Long l, Double d, Integer i)
    {
        log.info(StringUtils.format("执行多参方法： 字符串类型{}，布尔类型{}，长整型{}，浮点型{}，整形{}", s, b, l, d, i));
    }

    public void ryParams(String params)
    {
        log.info("执行有参方法：" + params);
    }

    public void ryNoParams()
    {
        log.info("执行无参方法");
    }

    /*立邦人员定时同步*/
    public void analyDiyCustomer(){
        analysisDiyCustomerComponent.analyDiyCustomer();
    }

    /*HANA订单数据定时同步*/
    public void hanaSalesOrderSync() throws Exception {
        hanaOrderComponent.hanaSalesOrderSync();
    }

    /*HANA交货单数据定时同步*/
    public void hanaDeliverOrderSync() throws Exception {
        hanaOrderComponent.hanaDeliverOrderSync();
    }

    /*关联经销商上线定时任务*/
    public void relationCustomerOnlineSync() throws Exception {
        relationCustomerOnlineComponent.relationCustomerOnlineSync();
    }
}
