package com.dgtly.system.mapper;

import com.dgtly.system.domain.AssRelcustomerinfo;
import java.util.List;

/**
 * 多经销商关联Mapper接口
 * 
 * @author dgtly
 * @date 2021-04-08
 */
public interface AssRelcustomerinfoMapper 
{
    /**
     * 查询多经销商关联
     * 
     * @param id 多经销商关联ID
     * @return 多经销商关联
     */
    public AssRelcustomerinfo selectAssRelcustomerinfoById(Long id);

    /**
     * 查询多经销商关联列表
     * 
     * @param assRelcustomerinfo 多经销商关联
     * @return 多经销商关联集合
     */
    public List<AssRelcustomerinfo> selectAssRelcustomerinfoList(AssRelcustomerinfo assRelcustomerinfo);

    /**
     * 新增多经销商关联
     * 
     * @param assRelcustomerinfo 多经销商关联
     * @return 结果
     */
    public int insertAssRelcustomerinfo(AssRelcustomerinfo assRelcustomerinfo);

    /**
     * 修改多经销商关联
     * 
     * @param assRelcustomerinfo 多经销商关联
     * @return 结果
     */
    public int updateAssRelcustomerinfo(AssRelcustomerinfo assRelcustomerinfo);

    /**
     * 删除多经销商关联
     * 
     * @param id 多经销商关联ID
     * @return 结果
     */
    public int deleteAssRelcustomerinfoById(Long id);

    /**
     * 批量删除多经销商关联
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteAssRelcustomerinfoByIds(String[] ids);

    List<AssRelcustomerinfo> selectRelcustomerinfoListByorgCode(String orgCode);

    void relationCustomerOnlineSync();
}
